API ReferenceAdmin Domains
Create Domain
POST
/v1/admin/domainsAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/admin/domains" \ -H "Content-Type: application/json" \ -d '{ "domain": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "domain": "string", "status": "string", "txt_verified": true, "cname_verified": true, "txt_verified_at": "2019-08-24T14:15:22Z", "cname_verified_at": "2019-08-24T14:15:22Z", "connectivity_ok": true, "connectivity_checked_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "txt_record": { "type": "TXT", "name": "string", "value": "string" }, "cname_record": { "type": "TXT", "name": "string", "value": "string" }, "urls": { "issuer": "string", "oidc_discovery": "string", "jwks": "string", "saml_metadata": "string", "scim_base": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}